%global pypiname validators

Name:           python-%{pypiname}
Version:        0.12.0
Release:        6%{?dist}
Summary:        Data Validation in python for Humans

License:        BSD
URL:            https://github.com/kvesteri/validators
Source0:        https://files.pythonhosted.org/packages/source/v/%{pypiname}/%{pypiname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-decorator
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-six

%description
Python has all kinds of data validation tools, but every one of them seems to
require defining a schema or form. I wanted to create a simple validation
library where validating a simple value does not require defining a form or
a schema.

%package -n python3-%{pypiname}

Summary:        Data Validation in python for Humans

Requires:       python3-six
Requires:       python3-decorator

%{?python_provide:%python_provide python3-%{pypiname}}

%description -n python3-%{pypiname}
Python has all kinds of data validation tools, but every one of them seems to
require defining a schema or form. I wanted to create a simple validation
library where validating a simple value does not require defining a form or
a schema.

%prep
%setup -q -n %{pypiname}-%{version}

%build
%py3_build

%install
%py3_install

%check
/usr/bin/pytest-3

%files -n python3-%{pypiname}
%license LICENSE
%doc README.rst CHANGES.rst
%{python3_sitelib}/%{pypiname}*

%changelog
* Fri Oct 12 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.12.0-6
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.12.0-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 06 2018 williamjmorenor@gmail.com - 0.12.0-2
- Initial import

* Mon Dec 25 2017 williamjmorenor@gmail.com - 0.12.0-1
- Initial packaging
  Skip docs build with sphinx because a lot of extensions
